import request from '@/utils/request'

// 全部机场查询
export function CurrentAirportQuery (params) {
  return request({
    url: '/baggageDC/openApi/currentAirportQuery',
    method: 'post',
    data: params
  })
}

// 起飞站/目的站查询
export function RelatedAirportQuery (params) {
  return request({
    url: '/baggageDC/openApi/relatedAirportQuery',
    method: 'post',
    data: params
  })
}

// 综合查询
export function IntegratedQuery (params) {
  return request({
    url: '/baggageDC/openApi/integratedQuery',
    method: 'post',
    data: params
  })
}

// 中转综合查询
export function IntegratedQueryTransfer (params) {
  return request({
    url: '/baggageDC/openApi/integratedQueryTransfer',
    method: 'post',
    data: params
  })
}

// 航线查询
export function FlightAttrQuery (params) {
  return request({
    url: '/baggageDC/openApi/flightAttrQuery',
    method: 'post',
    data: params
  })
}

// 机型查询
export function CraftTypeQuery (params) {
  return request({
    url: '/baggageDC/openApi/craftTypeQuery',
    method: 'post',
    data: params
  })
}

// 航司查询
export function AirCompanyQuery (params) {
  return request({
    url: '/baggageDC/openApi/airCompanyQuery',
    method: 'post',
    data: params
  })
}

// 表头查询
export function StatItemsQueryByStatMain (params) {
  return request({
    url: '/baggageDC/openApi/statItemsQueryByStatMain',
    method: 'post',
    data: params
  })
}

// 查询转入行李 和 查询转出行李
export function baggageSearchIO (params) {
  return request({
    url: '/baggageDC/openApi/baggageSearchIO',
    method: 'post',
    data: params
  })
}

// 航班容器统计查询
export function baggageSearchIOContainer (params) {
  return request({
    url: '/baggageDC/openApi/baggageSearchIOContainer',
    method: 'post',
    data: params
  })
}

// 航班行李明细查询
export function baggageSearchIOAll (params) {
  return request({
    url: '/baggageDC/openApi/baggageSearchIOAll',
    method: 'post',
    data: params
  })
}

// 行李节点信息查询
export function nodeinfoes (params) {
  return request({
    url: '/baggageDC/openApi/fulltrackinfo/nodeinfoes',
    method: 'post',
    data: params
  })
}

// 行李信息查询
export function fulltrackinfoAndNodeInfoList (params) {
  return request({
    url: '/baggageDC/openApi/fulltrackinfoAndNodeInfoList',
    method: 'post',
    data: params
  })
}

// 行李信息原始报文查询
export function BaggageMessageQuery (params) {
  return request({
    // url: '/openApi/luggage/search/source',
    url: PLATFROM_CONFIG.baggageMessageURL,
    method: 'post',
    data: params
  })
}

// ftp新增
export function ftpadd (params) {
  return request({
    url: '/baggageDC/openApi/ftpParams/save',
    method: 'post',
    data: params
  })
}

// webapi新增/保存
export function webapichange (params) {
  return request({
    url: '/baggageDC/openApi/webApis/save',
    method: 'post',
    data: params
  })
}

// httpList列表
export function httpList (params) {
  return request({
    url: '/baggageDC/openApi/httpParams/list',
    method: 'post',
    data: params
  })
}

// httpList删除
export function httpListdele (params) {
  return request({
    url: '/baggageDC/openApi/httpParams/delete',
    method: 'post',
    data: params
  })
}
// httpList列表新增/编辑
export function httpListchange (params) {
  return request({
    url: '/baggageDC/openApi/httpParams/save',
    method: 'post',
    data: params
  })
}

// httpList
export function httpListall (params) {
  return request({
    url: '/baggageDC/openApi/webApis/list',
    method: 'post',
    data: params
  })
}

// ibList
export function ibListall (params) {
  return request({
    url: '/baggageDC/openApi/IbmmqQuery',
    method: 'post',
    data: params
  })
}

// ftpList
export function ftpListall (params) {
  return request({
    url: '/baggageDC/openApi/ftpParams/list',
    method: 'post',
    data: params
  })
}

// 高级查询
export function advancedInquiry (params) {
  return request({
    url: '/baggageDC/openApi/baggage/search/advancedInquiry',
    method: 'post',
    data: params
  })
}

// 查询
export function getQuery (params) {
  return request({
    url: '/openApi/query',
    method: 'post',
    data: params
  })
}

// 节点信息维护-节点操作
export function generalDataReception (params) {
  return request({
    url: '/openApi/generalDataReception',
    method: 'post',
    data: params
  })
}

// 获取旅客信息
export function GetPassengerInfo(params) {
  return request({
    url: PLATFROM_CONFIG.getBase64,
    method: 'post',
    data: params
  })
}
